## pysatellites 1.0

=== Makefile ===
DESTDIR = 

CELESTIA_TEXTURES = /usr/share/celestia/textures/lores \
	            /usr/share/celestia/textures/medres \
		    /usr/share/celestia/textures/hires

all: user-interface

clean:
	rm -f *~ *.pyc
	rm -f UI_*

user-interface: UI_pysat.py UI_graphe.py

UI_%.py: %.ui
	pyuic4 $< -o $@

install: install-textures

install-textures:
	mkdir -p $(DESTDIR)/usr/share/pysatellites/images
	for d in $(CELESTIA_TEXTURES); do \
	  cp $$d/* $(DESTDIR)/usr/share/pysatellites/images; \
	done


.PHONY = user-interface install clean install-textures all

## pysatellites 2.1

=== Makefile ===
DESTDIR = 

CELESTIA_TEXTURES = /usr/share/celestia/textures/lores \
	            /usr/share/celestia/textures/medres \
		    /usr/share/celestia/textures/hires

all: user-interface pysatellites.1

pysatellites.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

clean:
	rm -f *~ *.pyc
	rm -f UI_*
	rm -rf build

user-interface: UI_pysat.py UI_graphe.py

UI_%.py: %.ui
	pyuic4 $< -o $@

install: all
	python setup.py install --root=$(DESTDIR) 
	install -m 755 pysatellites $(DESTDIR)/usr/bin

install-textures:
	mkdir -p $(DESTDIR)/usr/share/pysatellites/images
	for d in $(CELESTIA_TEXTURES); do \
	  cp $$d/* $(DESTDIR)/usr/share/pysatellites/images; \
	done


.PHONY = user-interface install clean install-textures all install-for-debian

## pysatellites 2.4

=== Makefile ===
DESTDIR = 

STELLARIUM_TEXTURES = /usr/share/stellarium/textures

all: user-interface pysatellites.1

pysatellites.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

clean:
	rm -f *~ *.pyc
	rm -f UI_*
	rm -rf build

user-interface: UI_pysat.py UI_graphe.py

UI_%.py: %.ui
	pyuic4 $< -o $@

install: all
	mkdir -p $(DESTDIR)/usr/bin
	install -m 755 pysatellites $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/applications
	install -m 644 pysatellites.desktop $(DESTDIR)/usr/share/applications
	mkdir -p $(DESTDIR)/usr/share/pysatellites
	install -m 644 *.py $(DESTDIR)/usr/share/pysatellites
	cp -a icones $(DESTDIR)/usr/share/pysatellites
	# install images from stellarium-data;
	# stellarium-data is not necessary later.
	mkdir -p $(DESTDIR)/usr/share/pysatellites/images
	for d in $(STELLARIUM_TEXTURES); do \
	  for f in $$(ls $$d/*.png); do \
	    g=$(DESTDIR)/usr/share/pysatellites/images/$$(echo $$(basename $$f)| sed -e 's/png/jpg/'); \
	    convert $$f $$g; \
	  done; \
	done


.PHONY = user-interface install clean install-textures all install-for-debian

=== debian/changelog ===
pysatellites (2.4-2) unstable; urgency=medium

  * changed the section to science. Closes: #820382

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Apr 2016 21:02:19 +0200

pysatellites (2.4-1) unstable; urgency=medium

  * removed setup.py, so only the Makefile is taken in account.
  * added a file debian/pysatellites.install. Closes: #816495
  * assigned Section: oldlibs/python for the transitionall package.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Mar 2016 16:36:01 +0100

pysatellites (2.3-2) unstable; urgency=medium

  * declared a Breaks+Replaces relation with former python-satellites.
    Closes: #814522
  * added a transitional package python-satellite to ease the transition
    from Jessie to Stretch.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 15 Feb 2016 12:09:05 +0100

pysatellites (2.3-1) unstable; urgency=medium

  * upgraded to the new upstream version:
    o the package is now installed rather like an application, so
      nothing goes to $(python_dir)/dist-packages
    o the name of the binary package is now pysatellites

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Feb 2016 19:21:15 +0100

pysatellites (2.2-3) unstable; urgency=medium

  * replaced python:Depends by python3:Depends. Closes: #813270
  * removed build-dependencies on python2 stuff, and on xsltproc stuff since
    the manpage is built in advance.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 Feb 2016 16:42:11 +0100

pysatellites (2.2-2) unstable; urgency=medium

  * activated the usage of python:Depends. Closes: #813219

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Jan 2016 16:59:05 +0100

pysatellites (2.2-1) unstable; urgency=medium

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Jan 2016 19:05:30 +0100

pysatellites (2.1-1) unstable; urgency=low

  * Changed the DEBEMAIL
  * modified the dependency: ffmpeg -> avconv. Closes: #721109
  * upgraded Standards-Version to 3.9.4

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Sep 2013 23:07:24 +0200

pysatellites (2.0-1) unstable; urgency=low

  * migrated to python3

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 30 Jun 2012 10:09:20 +0200

pysatellites (1.0-6) unstable; urgency=low

  * added a dependency on python-tk. Closes: #676962
  * upgraded Standards-Version

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 13 Jun 2012 19:12:46 +0200

pysatellites (1.0-5) unstable; urgency=low

  * applied Marco Gallotta's patch. Closes: #640253. Thank you Marco!
  * bumped Standards-Version

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 04 Sep 2011 02:23:45 +0200

pysatellites (1.0-4) unstable; urgency=low

  * switched to dh_python2. Closes: #616982
  * unbloated debian/rules

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 07 Mar 2011 19:22:27 +0100

pysatellites (1.0-3) unstable; urgency=low

  * added a dependency on misc:Depends
  * upgraded the Standards-Version to 3.9.1 and the compat to 7
  * removed the build-dependency on python-dev
  * fixed a misspelling in the description
  * fixed the versionless GPL reference in the file debian/copyright
  * replaced dh_clean -k by dh_prep in debian/rules
  * replaced Apps by Applications in debian/menu
  * first publication in Debian. Closes: #593132

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 19:20:40 +0200

pysatellites (1.0-2) unstable; urgency=low

  * added a dependency on python-matplotlib

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 10 May 2010 16:42:19 +0200

pysatellites (1.0-1) unstable; urgency=low

  * Initial release (Closes: #0)

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 14 May 2008 15:12:27 +0200

=== debian/control ===
Source: pysatellites
Section: science
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pyqt4-dev-tools,
 python3-all, dh-python,
 stellarium-data, imagemagick
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6

Package: pysatellites
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 libav-tools, iceweasel|www-browser,
 python3-pyqt4, xplanet,
 python3-matplotlib, python3-tk, python3-numpy
Replaces: python-satellites (<< 2.3-1)
Breaks: python-satellites (<< 2.3-1)
Description: simulates the launching of satellites
 This program can be used to train people to spatial mechanics at an
 elementary level. You are given the power to launch a satellite, from
 outside the atmosphere, around a handful of predefined planets, or around
 any special object you may imagine. Input the initial velocity vector of the
 satellite, and you will get the simulated trajectory, as well as some
 information like the plots of variation of speed. As an extra, you can
 compute a movie, which represents the planet seen from the satellite's
 point of view during its orbital period.

Package: python-satellites
Architecture: all
Depends: ${misc:Depends}, pysatellites
Description: transitional package to upgrade to the newer pysatellites
 This package is there to make easier the transition from Jessie to Stretch,
 and help one to install automatically pysatellites. It can be removed safely
 after its installation.

## pysatellites 2.5

=== debian/changelog ===
pysatellites (2.5-1) unstable; urgency=medium

  * replaced the dependency libav-tools by ffmpeg. Closes: #873194
  * added firefox-esr as a possible alternative dependency

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 10 Sep 2017 18:13:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: science
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pyqt4-dev-tools,
+Build-Depends: debhelper (>= 9.0~), pyqt4-dev-tools,
  python3-all, dh-python,
  stellarium-data, imagemagick
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 
 Package: pysatellites
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
- libav-tools, iceweasel|www-browser,
+ ffmpeg, iceweasel| firefox-esr|www-browser,
  python3-pyqt4, xplanet,
  python3-matplotlib, python3-tk, python3-numpy
 Replaces: python-satellites (<< 2.3-1)

## pysatellites 2.6

=== debian/changelog ===
pysatellites (2.6-1) unstable; urgency=medium

  * upgraded to new upstream version. Closes: #935347
  * remove generated files from git repository
  * migration to Qt5
  * adapted dependencies
  * upgraded dh level and standards-version
  * added salsa.d.o references

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Aug 2019 12:23:27 +0200

=== debian/control ===
Source: pysatellites
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11),
 python3-all, dh-python,
 pyqt5-dev-tools, qttools5-dev-tools,
 imagemagick, stellarium-data
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/georgesk/pysatellites
Vcs-Git: https://salsa.debian.org/georgesk/pysatellites.git

Package: pysatellites
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 ffmpeg, iceweasel| firefox-esr|www-browser,
 python3-pyqt5, xplanet,
 python3-matplotlib, python3-tk, python3-numpy
Description: simulates the launching of satellites
 This program can be used to train people to spatial mechanics at an
 elementary level. You are given the power to launch a satellite, from
 outside the atmosphere, around a handful of predefined planets, or around
 any special object you may imagine. Input the initial velocity vector of the
 satellite, and you will get the simulated trajectory, as well as some
 information like the plots of variation of speed. As an extra, you can
 compute a movie, which represents the planet seen from the satellite's
 point of view during its orbital period.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = pysatellites

%:
	dh  $@ --with python3

## pysatellites 2.7

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,14 @@
 
 clean:
 	rm -f *~ *.pyc
+	rm -rf __pycache__
 	rm -f UI_*
 	rm -rf build
 
 user-interface: UI_pysat.py UI_graphe.py
 
 UI_%.py: %.ui
-	pyuic4 $< -o $@
+	pyuic5 $< -o $@
 
 install: all
 	mkdir -p $(DESTDIR)/usr/bin

=== debian/changelog ===
pysatellites (2.7-4) unstable; urgency=medium

  * added the missing "import platform" in d/tests/test_gui.py:

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Jun 2024 18:27:48 +0200

pysatellites (2.7-3) unstable; urgency=medium

  * modified the test d/tests/test_gui.py: it will call scipy to compute
    the difference between two screenshots only when
    platform.machine() == 'x86_64'. Closes: #1071738

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Jun 2024 17:52:10 +0200

pysatellites (2.7-2) unstable; urgency=medium

  * modified the test routine : do not consider /dev/stderr, because
    only the return code matters. Closes: #1067231

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Mar 2024 19:54:30 +0100

pysatellites (2.7-1) unstable; urgency=medium

  * upgraded to new upstream version.
  * use debhelper-compat (=13)
  * bumped Standards-Version: 4.6.2
  * added autopkgtests. Closes: #1035199. Closes: #1036516

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Nov 2023 12:22:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,27 @@
 Section: science
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11),
- python3-all, dh-python,
- pyqt5-dev-tools, qttools5-dev-tools,
- imagemagick, stellarium-data
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (=13),
+ python3-all,
+ dh-python,
+ pyqt5-dev-tools,
+ qttools5-dev-tools,
+ imagemagick,
+ stellarium-data
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/pysatellites
 Vcs-Git: https://salsa.debian.org/georgesk/pysatellites.git
 
 Package: pysatellites
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
- ffmpeg, iceweasel| firefox-esr|www-browser,
- python3-pyqt5, xplanet,
- python3-matplotlib, python3-tk, python3-numpy
+ ffmpeg,
+ iceweasel| firefox-esr|www-browser,
+ python3-pyqt5,
+ xplanet,
+ python3-matplotlib,
+ python3-tk,
+ python3-numpy
 Description: simulates the launching of satellites
  This program can be used to train people to spatial mechanics at an
  elementary level. You are given the power to launch a satellite, from

=== debian/tests/control ===
Test-Command: make; for p in $(py3versions -s); do xvfb-run sh -c "$p -m pytest debian/tests 2>&1"; done
Depends:
 python3-all,
 python3-pytest,
 python3-pyqt5,
 python3-matplotlib,
 python3-tk,
 python3-numpy,
 python3-opencv,
 python3-pil,
 python3-scipy,
 pyqt5-dev-tools,
 qttools5-dev-tools,
 python3-pytestqt,
 xplanet,
 xvfb,
 xauth,
 @,
